Subject: RE: XEmacs-21.4.14-2 consistently crashes
From: "Demmer, Thomas" <[email-masked]>
To: "'Dr. Volker Zell'" <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Wed, 11 Feb 2004 15:11:09 +0100

>
>>>>>> "Thomas" == Thomas Demmer writes:
>
>    Thomas> Hi all,
>
>Hi Thomas, finally you send the message to the list :-)
>
>    Thomas> I can reliably crash XEmacs by the following procedure:
>
>FWIW, me too. But since I will *never* use the Win32 version and have
>never used the Win32 version as already stated, somebody who is
>interested has to debug this or try sending a bug report to xemacs-beta.
>
>

Until last week I was using 21.4.11 or so from xemacs.org, built with
whatever cygwin they used and it ran fine, so I was assuming a cygwin bug
here. 
Do you know since when the FIXME comment below exists?

When I said the X version works fine, I actually lied. On exit it dies with
a fatal error(11) and the lisp backtrace

Lisp backtrace follows:

  kill-emacs()
  # bind (arg)
  save-buffers-kill-emacs(nil)
  # bind (command-debug-status)
  call-interactively(save-buffers-kill-emacs)
  # (condition-case ... . error)
  # (catch top-level ...)

But that is another story. 
The code fragment you mentioned only shows where the ill condition
is trapped, not where and why it occurs. Looks like I really have to
try to build a debug version myself, but that is pretty daunting :-)

Ciao
Tom

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/